body {
    margin: 0;
    overflow-x: hidden;
}

h1 {
    font-family: 'Roca', sans-serif;
    font-size: 3.5em;
}

h2 {
    font-family: 'Roca', sans-serif;
    font-size: 2.5em;
}

p, a {
    font-family: 'Montserrat', sans-serif;
}

@font-face {
    font-family: 'Roca';
    src: url(../assets/roca-one-regular/Roca-Regular.ttf) format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'Montserrat';
    src: url(../assets/Montserrat/static/Montserrat-Regular.ttf) format('truetype');
    font-weight: normal;
    font-style: normal;
}

section {
    margin-left:5svw;
    margin-bottom:50px;
    min-height: 90svh;
}

.bleuAmiens {
    color: #5a7bad;
}

.bgBleuAmiens{
    background-color: #5a7bad;
}

/*Fin CSS générique*/

.imgPresentation, .imgMonumentDuJour {
    width: 100%;
}

.presentation{
    position: relative;
    margin-top: 0;
}

.infoPresentation {
    position: absolute;
  bottom: 5%;
  right: 5%;
  display: flex;
  align-items: end;
  flex-direction: column;
}

.infoPresentation img {
    width: 150px;
}

.infoPresentation h1 {
    color: #f4f4f4;
    max-width: 60%;
    text-align: right;
    margin: 0 0 10px 0;
    line-height: 1;
}

.infoPresentation a {
    color: #eeecde;
    font-family: 'Roca', sans-serif;
    font-size: 1.5em;
}

.statistique a{
    text-decoration: none;
    color: #f7f8fe;
    background-color: #5a7bad;
    padding: 10px 35px;
    border-radius: 5px;
    transition: all 150ms;
}
.statistique a:hover{
    background-color: #3b639e;
}
.statistique a:active{
    background-color: #7292c5;
}

.statistique {
    display: flex;
    justify-content: center;
    align-items: center;
}

.statistique div span {
    font-size: 6.5em;
    font-family: 'Roca', sans-serif;
}

.statistique div p {
    max-width: 80%;
    text-align: center;
}

.statistique div {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.carte {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.carte img {
    width: 80%;
}

.carte h2 {
    max-width: 65%;
    text-align: center;
    line-height: 1;
}

.carte a, .monumentDuJour a{
    text-decoration: none;
    color: #f7f8fe;
    background-color: #5a7bad;
    padding: 10px 35px;
    border-radius: 5px;
    transition: all 150ms;
}
.carte a:hover, .monumentDuJour a:hover {
    background-color: #3b639e;
}
.carte a:active, .monumentDuJour a:active {
    background-color: #7292c5;
}

.monumentDuJour {
    position: relative;
}

.monumentDuJour div {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    border-radius:30px;
    padding: 30px;
}

.monumentDuJour div h2 {
    margin: 0;
}

.monumentDuJour div p, .monumentDuJour div a {
    font-size: 1.2em;
}

.monumentDuJour div a {
    justify-content: center;
    display: flex;
}
.top5{
    padding-inline: 10svw;
}

.sect-pad{
    padding-inline: 10svw;
}

.top5 h2 {
    margin: 0 0 15px 15px;
}

.imgTop5 {
    display: flex;
}

.UneImgTop5 {
    width: 20%;
    height: 500px;
    object-fit: cover;
    margin: 0 10px;
    border-radius: 15px;
    &:hover {
        width: 25%;
        transition: width 400ms;
    }
    transition: width 400ms;
}

.info404{
    margin: 0;
}

.retour404{
    margin-bottom: 20px;
}
/*______________ Carte ______________*/

.carteInteractive .legende {
    display: flex;
    align-items: center;
}

.carteInteractive .iconCarte {
    width: 25px;
    padding-right: 1%;
}

.carteInteractive h1, .carteInteractive h2 {
    color: #5a7bad;
}

.carteInteractive h1 {
    text-align: center;
    line-height: 1.2;
}

.documentation {
    padding-left: 13%;
}

.carteInteractive h2 {
    margin-bottom: 5px;
    margin-top: 25px;
}

.carteInteractive .legende {
    margin-left: 15px
}

.carteInteractiveHr {
    margin: 3% 12% 0 17%;
}


.blanc{
    color: white;
}

.double-card-monument {
    display: flex;
    gap: 30px;
    flex-wrap: wrap;
    justify-content: center;
}

.card {
    border-radius: 30px;
    padding: 30px;
    width: 500px;
    box-shadow: 0px 10px 25px rgba(0, 0, 0, 0.1);
    background-color: white;
}

.card-image{
    border-radius: 30px;
    width: 500px;
    padding: 1px;
    box-shadow: 0px 10px 25px rgba(0, 0, 0, 0.1);
    background-color: white;
}

.bgBleuAmiens.card {
    background-color: #5a7bad;
    color: white;
}

.card img {
    width: 100%;
    height: 100%;
    border-radius: 30px;
    object-fit: cover;
}

.card p {
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 10px 0;
    font-size: 1.1em;
}
.double-div-monument {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    margin-top: 20px;
}

.bulle-info-blanc {
    background-color: white;
    padding: 20px;
    border-radius: 15px;
    text-align: center;
    flex: 1;
}

.titre-bulle-bleu {
    font-family: 'Montserrat', sans-serif;
    color: #5a7bad;
    font-weight: bold;
    margin-bottom: 5px;
}

.bulle-info-blanc h2 {
    font-family: 'Roca', sans-serif;
    font-size: 3em;
    color: #5a7bad;
    margin: 0;
}

.label {
    font-weight: 600;
    color: #0f172a;
}
.value {
    color: #334155;
}
.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 1rem;
}
iframe {
    width: 100%;
    height: 400px;
    border: none;
    border-radius: 12px;
}
a {
    color: #2563eb;
    text-decoration: underline;
}


input#ref {
    padding: 0.5rem 1rem;
    border: 1px solid #ccc;
    border-radius: 8px;
    font-size: 1rem;
    outline: none;
    transition: border-color 0.3s, box-shadow 0.3s;
    width: 250px;
    margin-right: 0.5rem;
}

    input#ref:focus {
        border-color: #007BFF;
        box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.2);
    }

    button {
        padding: 0.5rem 1rem;
        background-color: #007BFF;
        color: white;
        border: none;
        border-radius: 8px;
        font-size: 1rem;
        cursor: pointer;
        transition: background-color 0.3s;
    }

    button:hover {
        background-color: #0056b3;
    }

    label {
        display: block;
        margin-bottom: 0.25rem;
        font-weight: bold;
        font-size: 1rem;
    }
    .section {
        margin-bottom: 1.5rem;
    }